Skip to content

Brands API

Get a brand social group

GEThttps://email.growthdept.ai/api/brand-social-groups/{id}

Rate limits

Burst: 10/s

Steady: 150/m

Tier M. See rate limits for how requests are counted.

Scopes

brands:read

Operation id

get_brand_social_group The same operation as in Klaviyo's API. OpenAPI document

Path parameters

stringrequired

Query parameters

array of strings

Attributes of brand-social-group resources to return.

Sparse fieldsets guide

Pick values to add them to the request:

Headers

stringrequireddefault 2026-10-15

API revision, YYYY-MM-DD. This server implements 2026-10-15.

Revisions guide

Responses

200Success

Response body

object

  • dataobjectrequired

    data: 4 fields
    • typestringrequired

      brand-social-group
    • idstringrequired

    • attributesobjectrequired

      attributes: 2 fields
      • namestringcan be null

      • social_linksarray of objectscan be null

        One option: FirstPartySocialLink
        • link_urlstringrequired

        • platformstringrequired

          x_twitter
        One option: CustomSocialLink
        • link_urlstringrequired

        • platformstringrequired

          custom
        • asset_idintegercan be null

        • asset_urlstringcan be null

        • widthintegercan be null

        • heightintegercan be null

    • linksobjectrequired

      links: 1 field
      • selfstring (uri)required

  • linksobject

    links: 1 field
    • selfstring (uri)required

  • metaobject

4XXClient error

Response body

object

  • errorsarray of objectsrequired

    errors: 8 fields
    • idstringrequired

    • statusintegerrequired

    • codestringrequired

    • titlestringrequired

    • detailstringrequired

    • sourceobject

      source: 2 fields
      • pointerstring

      • parameterstring

    • linksobject

    • metaobject

See status codes for each code.

5XXServer error

Response body

object

  • errorsarray of objectsrequired

    errors: 8 fields
    • idstringrequired

    • statusintegerrequired

    • codestringrequired

    • titlestringrequired

    • detailstringrequired

    • sourceobject

      source: 2 fields
      • pointerstring

      • parameterstring

    • linksobject

    • metaobject